package ink.wgink.module.form.pojo.vos.design;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class FormFieldVO {

    @ApiModelProperty(name = "formId", value = "表单ID")
    private String formId;
    @ApiModelProperty(name = "fieldName", value = "字段名称")
    private String fieldName;
    @ApiModelProperty(name = "fieldExplain", value = "字段描述")
    private String fieldExplain;
    @ApiModelProperty(name = "fieldType", value = "字段类型")
    private String fieldType;
    @ApiModelProperty(name = "fieldTag", value = "字段标签")
    private String fieldTag;
    @ApiModelProperty(name = "fieldDefault", value = "字段默认值")
    private String fieldDefault;
    @ApiModelProperty(name = "listShow", value = "列表显示")
    private String listShow;
    @ApiModelProperty(name = "fieldRequired", value = "字段校验")
    private String fieldRequired;

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldExplain() {
        return fieldExplain;
    }

    public void setFieldExplain(String fieldExplain) {
        this.fieldExplain = fieldExplain;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getFieldTag() {
        return fieldTag == null ? "" : fieldTag.trim();
    }

    public void setFieldTag(String fieldTag) {
        this.fieldTag = fieldTag;
    }

    public String getFieldDefault() {
        return fieldDefault;
    }

    public void setFieldDefault(String fieldDefault) {
        this.fieldDefault = fieldDefault;
    }

    public String getListShow() {
        return listShow == null ? "false" : listShow.trim();
    }

    public void setListShow(String listShow) {
        this.listShow = listShow;
    }

    public String getFieldRequired() {
        return fieldRequired;
    }

    public void setFieldRequired(String fieldRequired) {
        this.fieldRequired = fieldRequired;
    }
}
